%global _empty_manifest_terminate_build 0
%global pypi_name black

Name:           python-%{pypi_name}
Version:        24.2.0
Release:        2
Summary:        The uncompromising code formatter
License:        MIT
URL:            https://github.com/psf/black
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

Patch0: CVE-2024-21503.patch

BuildRequires:  python3-devel

# Base build requires
BuildRequires:	python3-setuptools
BuildRequires:	python3-setuptools_scm	
BuildRequires:	python3-pip
BuildRequires:	python3-wheel
BuildRequires:	python3-hatch-vcs
BuildRequires:	python3-hatchling
BuildRequires:	python3-hatch-fancy-pypi-readme

%global _description %{expand:
Black is the uncompromising Python code formatter. By using it, you agree to
cease control over minutiae of hand-formatting. In return, Black gives you
speed, determinism, and freedom from pycodestyle nagging about formatting.
You will save time and mental energy for more important matters.}

%description %_description


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%pyproject_build


%install
%pyproject_install

for exe in black blackd; do
  ln -sr %{buildroot}%{_bindir}/${exe}{,-%{python3_version}}
done

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/black
%{_bindir}/black-%{python3_version}
%{_bindir}/blackd
%{_bindir}/blackd-%{python3_version}
%{python3_sitelib}/_black_version.py
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/black*
%{python3_sitelib}/blib2to3/*

%changelog
* Wed Apr 17 2024 yanjianqing <yanjianqing@kylinos.cn> - 24.2.0-2
- Fix CVE-2024-21503

* Fri Feb 23 2024 chendexi <chendexi@kylinos.cn> - 24.2.0-1
- Update package to version 24.2.0

* Mon Jun 19 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 23.11.0-1
- Update package to version 23.11.0

* Mon Jul 10 2023 Dongxing Wang <dxwangk@isoftstone.com> - 23.3.0-5
- Add the black extra package file list

* Fri Jul 7 2023 Dongxing Wang <dxwangk@isoftstone.com> - 23.3.0-4
- Fix the black package name

* Wed Jul 5 2023 li-miaomiao_zhr <mmlidc@isoftstone.com> - 23.3.0-3
- Change the software packaging name to "python3 black"

* Mon Jun 26 2023 li-miaomiao_zhr <mmlidc@isoftstone.com> - 23.3.0-2
- add dependency of python-hatch-fancy-pypi-readme

* Wed Jun 7 2023 li-miaomiao_zhr <mmlidc@isoftstone.com> - 23.3.0-1
- fix issue:add package python-black of version 23.3.0 to warehouse of src-openEuler
